# Cities Skylines 2 : Image Overlay Lite
A simple mod to **Overlay an image on the game map**.  Includes the ability to quickly and easily select and change between different images for the overlay.

Works both in-game and in the editor.

Requested by AmiPolizeiFunk to assist with map creation and real-life city recreation.

## Instructions
### Selecting the overlay files
- Place any desired overlays in ".png" format in the "Overlays" directory in your local settings (%LocalAppData%Low\Colossal Order\Cities Skylines II).
- In the game's 'Settings' menu there will be a mod setting entry there for 'Image overlay' where you can choose the overlay image file that you want.
- You can change the overlay file at any time.  Press the 'refresh files' button to rescan the Overlays directory for changes (so you can add or remove overlay files even when in-game).

### Displaying the overlay
- Press **Control-O** to activate the overlay. Press **Control-O** again to hide it.  There may be a slight pause in the game on the first activation as the image file is loaded.
- The overlay will be automatically scaled to the vanilla playable area size (14 336m per side) and will be centred around middle of the map.

### Repositioning the overlay
- Press **Control-PageUp** and **Control-PageDown** to raise or lower the level of the overlay.
- To rotate the overlay 90 degrees, press **Control-.** (period or ">") or **Control-,** (comma or "<").
- To move the overlay horizontally, use the **arrow keys** with either **Control** (move 1m at a time) or **Shift** (move 10m at a time).

## Requirements
- BepInEx 5

## Installation
1. Make sure that BepInEx 5 is installed.
1. Run the game at least once after you've installed BepInEx and before you install this mod.
1. Place the `LineToolLite` folder in the archive in your BepInEx `Plugins` folder.

## Support
It's usually easiest to contact me at the [**Cities: Skylines modding Discord**](https://discord.gg/ZaH2zjtk), or I'm also contactable as u/algernon_A on the [Cities: Skylines modding Subreddit](https://www.reddit.com/r/CitiesSkylinesModding) (r/CitiesSkylinesModding). You could also raise an issue on the GitHub.

## Meta

### Source code
[Available on GitHub](https://github.com/algernon-A/ImageOverlayLite) (algernon-A/ImageOverlayLite).

As always, *never* trust a mod without publicly available source code!

>And still be cautious about mods that *do* make their source available, but at least those mods are off to a better start by already treating you - the user - with at least a modicum of respect.

### Modders
Modders (and aspiring modders!), as always I'm available and happy to chat about what I've done and answer any questions, and also about how you can implement anything that I've done for your own mods. Come grab me on the Cities: Skylines Modding Discord!

## Disclaimers and legal
The only authorized distribution platforms for this mod, or mods based substantially on the code of this mod, are the GitHub repo linked above, this Thunderstore.io upload, and Paradox Mods (that's the *actual* Paradox Mods at mods.paradoxplaza.com, not the **scam and malware site paradoxmods net** which is explicitly NOT licensed to distribute any of my work, or works derived from my work). Any version or copy of this mod that you encounter elsewhere is most likely being used as a vector for malware and should be ignored.

Downloading, installation, and use of this mod is at your own risk.

>This mod is Copyright 2023 algernon (github.com/algernon-A). All rights reserved. To eliminate any doubt, explicit permission is hereby granted to download this mod for personal use and for Thunderstore.io to distribute it (<- I hope all this isn't actually necessary, but you never know these days). Permission is explicitly NOT granted for further distribution or licensing (<- this bit so I can at least *try* to DMCA the malware-spreaders). If you think you've got a good use-case for an exception to any of this, contact me, let's talk!

>THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

>Have a virtual jellybean if you actually read this far!